
Tundra, a build system
=============================================================================

Tundra is a high-performance code build system designed to give the best
possible incremental build times even for very large software projects.

Tundra is portable and works on

  - Mac OSX (10.6-10.8 tested, but most any version should work)
  - Linux
  - FreeBSD
  - Windows (Vista and later, 64 bit native)

Porting to UNIX-like platforms will be very easy, porting to other platforms
will take a little bit of work in a few well-defined places.

See doc/manual.asciidoc for more detailed usage information.

There is a companion Visual Studio 2012 addin that might be useful. See
https://github.com/deplinenoise/tundra-vsplugin for details.

Binaries
-----------------------------------------------------------------------------

Windows installers are available for download:

- 2.0 Beta8 (2013-09-01)
  - [installer](http://tundra2-builds.s3.amazonaws.com/Tundra-Setup-Beta8.exe) MD5: `803d45405f1ec446e5c534d5015bbe4e`
  - [zip](http://tundra2-builds.s3.amazonaws.com/Tundra-Binaries-Beta8.zip) MD5: `2e703366008fe046f973b4a20c9c1b56`
- 2.0 Beta7 (2013-07-31)
  - [installer](http://tundra2-builds.s3.amazonaws.com/Tundra-Setup-Beta7.exe) MD5: `2d4b6e8c5a8e5b642b478ce4700b1f3f`
  - [zip](http://tundra2-builds.s3.amazonaws.com/Tundra-Binaries-Beta7.zip) MD5: `9ee4bfedd3e98c2fa8d3fe8b480c9a62`
- 2.0 Beta6a (2013-06-18)
  - [installer](http://tundra2-builds.s3.amazonaws.com/Tundra-Setup-Beta6a.exe) MD5: `40fefb751e9255334680835a82c3cbcf`
  - [zip](http://tundra2-builds.s3.amazonaws.com/Tundra-Binaries-Beta6a.zip) MD5: `1f6c127ef33aa3504aeeacd8ce045601`
- 2.0 Beta5 (2013-06-17)
  - [installer](http://tundra2-builds.s3.amazonaws.com/Tundra-Setup-Beta5.exe) MD5: `b52fdcf2a19dd418bf98d5ba76eb7730`
  - [zip](http://tundra2-builds.s3.amazonaws.com/Tundra-Binaries-Beta5.zip) MD5: `fabda381bfdc7f83a249a13251fb0e4b`
- 2.0 Beta4 (2013-06-16)
  - [installer](http://tundra2-builds.s3.amazonaws.com/Tundra-Setup-Beta4.exe) MD5: `ffbe55fd9dcf7a009f6264e6cf8824b5`
  - [zip](http://tundra2-builds.s3.amazonaws.com/Tundra-Binaries-Beta4.zip) MD5: `6ff1c6e87f30325fac295ebed5b9d07b`
- 2.0 Beta3 (2013-05-09)
  - [installer](http://tundra2-builds.s3.amazonaws.com/Tundra-Setup-Beta3.exe) MD5: `5f3b740259646d24eaf321b1b430836e`
  - [zip](http://tundra2-builds.s3.amazonaws.com/Tundra-Binaries-Beta3.zip) MD5: `dd8ebd0f9d461b3eea2192d02016cdb8`


License and Copyright
-----------------------------------------------------------------------------

Tundra is Copyright 2010-2013 Andreas Fredriksson.

Tundra is made available under the GNU GPL. See the file COPYING for the
complete license text.

Tundra uses Lua. See below for Lua's licensing terms which are compatible with
those of the GNU GPL.

Tundra includes a public domain Lua Debugger, see below.

Tundra includes the public domain dlmalloc by Doug Lea.

Lua
-----------------------------------------------------------------------------

Copyright (c) 1994-2008 Lua.org, PUC-Rio.
Permission is hereby granted, free of charge, to any person obtaining a copy of
this software and associated documentation files (the "Software"), to deal in
the Software without restriction, including without limitation the rights to
use, copy, modify, merge, publish, distribute, sublicense, and/or sell copies
of the Software, and to permit persons to whom the Software is furnished to do
so, subject to the following conditions:

The above copyright notice and this permission notice shall be included in all
copies or substantial portions of the Software.

THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE
SOFTWARE.

Lua Debugger
-----------------------------------------------------------------------------

Tundra includes an optional Lua CLI debugger which is public domain software
written by Dave Nichols.

The debugger was obtained from [luaforge.net](http://luaforge.net/projects/clidebugger/).
